Skip to main content
GET
Get Check Deposit

Authorizations

x-api-key
string
header
required

Your Meow API key, sent in the x-api-key header for authentication.

Headers

x-entity-id
string<uuid>

Optional entity_id to scope requests to a specific entity.

Path Parameters

account_id
string
required

The ID of the account.

transaction_id
string
required

The transaction group ID for the check deposit (e.g. deposit_ttx_...).

Response

Successful Response

id
string
required

The transaction group ID for this check deposit.

status
enum<string>
required

Current status of the check deposit.

Available options:
AUTHORIZATION,
MEMO,
PENDING,
POSTED
amount
string
required

The check deposit amount.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
posted_timestamp
string<date-time> | null

Timestamp when the transaction was posted.

check_number
string | null

The check number from the deposited check.

counterparty_routing_number
string | null

Routing number from the deposited check.

counterparty_account_number_masked
string | null

Masked account number from the deposited check (last 4 digits).